## org.opencyc.conversation
Class FsmStateInfo

    java.lang.Object
      |
      +--org.opencyc.conversation.FsmStateInfo

public class FsmStateInfo
extends java.lang.Object

Contains the finite state machine and its state.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected State` `currentState` finite state machine current node
`protected Fsm` `fsm` the fsm
`protected java.util.HashMap` `stateAttributes` Dictionary of state attribute and object values.

Constructor Summary
`FsmStateInfo(Fsm fsm, java.util.HashMap stateAttributes)` Constructs a new FsmStateInfo object given the fsm and state attributes.

Method Summary
`State` `getCurrentState()` Returns the current state.
`Fsm` `getFsm()` Returns the fsm.
`java.util.HashMap` `getStateAttributes()` Returns the state attributes.
`void` `setCurrentState(State currentState)` Sets the current state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fsm

    protected Fsm fsm

  the fsm

### currentState

    protected State currentState

  finite state machine current node

### stateAttributes

    protected java.util.HashMap stateAttributes

  Dictionary of state attribute and object values.

Constructor Detail

### FsmStateInfo

    public FsmStateInfo(Fsm fsm,
                        java.util.HashMap stateAttributes)

  Constructs a new FsmStateInfo object given the fsm and state attributes.

Method Detail

### setCurrentState

    public void setCurrentState(State currentState)

  Sets the current state.
  Parameters:
    `currentState` - the current state

### getCurrentState

    public State getCurrentState()

  Returns the current state.
  Returns:
    the current state

### getFsm

    public Fsm getFsm()

  Returns the fsm.
  Returns:
    the fsm

### getStateAttributes

    public java.util.HashMap getStateAttributes()

  Returns the state attributes.
  Returns:
    the state attributes